Сайт | Скачать | Видео | Wiki

Автор Тема: PRA. rmlint : Gtk not available  (Прочитано 375 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн sasha-gerych

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 520
  • Репутация: +9/-0
Re: PRA. rmlint : Gtk not available
« Ответ #30 : 17 Октябрь 2017, 23:08:58 »
Из пакетов загруженных в ПРА-ролл собрал модуль более новой версии, но и он не хочет работать в PRA64 light.
live@pra64:~$ /usr/bin/rmlint --gui
Traceback (most recent call last):
  File "/tmp/.shredder-bootstrap.py.V0YF8Y", line 18, in <module>
  File "/usr/lib/python3.6/site-packages/shredder/__init__.py", line 8, in <module>
    gi.require_version('Gtk', '3.0')
  File "/usr/lib/python3.6/site-packages/gi/__init__.py", line 118, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace Gtk not available
Я так понимаю что здесь не совместимость версий, правильно?

Онлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 9113
  • Репутация: +92/-0
Re: PRA. rmlint : Gtk not available
« Ответ #31 : 18 Октябрь 2017, 02:33:35 »
gtk3 хочет
Я загружаю новые пакеты сюда: http://file.puppyrus.ml/users/ а дальше можно найти самостоятельно.

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 19724
  • Репутация: +147/-0
    • PuppyRus-A
Re: PRA. rmlint : Gtk not available
« Ответ #32 : 18 Октябрь 2017, 09:32:28 »
gtk3 хочет
Причем - скорее всего из среза roll

Оффлайн sasha-gerych

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 520
  • Репутация: +9/-0
Re: PRA. rmlint : Gtk not available
« Ответ #33 : 18 Октябрь 2017, 09:59:29 »
Причем - скорее всего из среза roll
На счет gtk3 не уверен, т.к. загрузил не из ролловского среза и больше гтк3 не просит, а вот все остальное просит поновее сначала rsvg потом pangocairo.
После подключения второго, подвисла система, диска нет, все в памяти ииии .... "Наша песня хороша, начинай сначала"  :)

Посоветуйте, как лучше сделать?
Собирать не из своего среза, не считаю правильным.
gtk3 хочет
В ПРАРолле не просил gtk. Идет вместе с системой? 

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 19724
  • Репутация: +147/-0
    • PuppyRus-A
Re: PRA. rmlint : Gtk not available
« Ответ #34 : 18 Октябрь 2017, 10:07:00 »
Собирать не из своего среза, не считаю правильным.
Портированный модуль можно
Про питон писал выше
В ПРАРолле не просил gtk. Идет вместе с системой? 
В ролл gtk3 отдельным модулем 030-gtk3*.pfs

Оффлайн sasha-gerych

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 520
  • Репутация: +9/-0
Re: PRA. rmlint : Gtk not available
« Ответ #35 : 18 Октябрь 2017, 13:16:16 »
Портированный модуль можно
В данном случае все упрется в gtk3 ролловского среза, врядли гтк модуль для ролла без проблем будет работать в ПРА64 light или fat.

Оффлайн sasha-gerych

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 520
  • Репутация: +9/-0
Re: PRA. rmlint : Gtk not available
« Ответ #36 : 21 Октябрь 2017, 08:41:54 »
В общем, кроме основных загружаемых pacman-om пакетов были добавлены:
atk-2.20.0-1
gdk-pixbuf2-2.34.0-2
librsvg-2-2.40.15-2
pango-1.40.1-1-x86_64
polkit-0.113-4

Gtk3 взят из яндекс ПРА репы, gtk3-3.20.6-1-x86_64_DEV.pfs.
gtk3-3.20.6-1-x86_64.pfs  подключается в холостую.

Теперь работает

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 19724
  • Репутация: +147/-0
    • PuppyRus-A
Re: PRA. rmlint : Gtk not available
« Ответ #37 : 21 Октябрь 2017, 09:09:29 »
Поздравляю с победой +

Оффлайн sasha-gerych

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 520
  • Репутация: +9/-0
Re: PRA. rmlint : Gtk not available
« Ответ #38 : 21 Октябрь 2017, 09:26:02 »
Спасибо :)